package types

import "adt/pkg/alias"

// IHotelRoomBusy -- интерфейс бронирования номера
type IHotelRoomBusy interface {
	// Id -- ID бронирования
	Id() alias.BusyId
	// HotelId -- ID отеля
	HotelId() alias.HotelId
	// RoomId -- ID номера
	RoomId() alias.RoomId
	// Date -- дата бронирования номера
	Date() alias.Date
	// IsBusy -- возвращает признак состояния бронирования
	IsBusy() bool
	// SetBusy -- устанавливает признак состояния бронирования
	SetBusy()
}
