package types

import (
	"adt/pkg/alias"
)

// IHotelRoomOrder -- интерфейс к заказу номера в отеле
type IHotelRoomOrder interface {
	// Id -- номер заказа
	Id() alias.OrderId
	// From -- с какой даты заезд
	From() alias.Date
	// To -- по какую дату выезд
	To() alias.Date
	// ListDay -- список дней для бронирования
	ListDay() []alias.Date
	// Hotel -- ID отеля
	Hotel() alias.HotelId
	// Room -- ID номера в отеле
	Room() alias.RoomId
	// Marshall -- сериализует себя
	Marshall() []byte
}
