package types

import "adt/pkg/alias"

// IStore -- интерфейс хранилища
type IStore interface {
	// GetOrder -- возвращает ордер по ID
	GetOrder(id alias.OrderId) (IHotelRoomOrder, error)
	// SetOrder -- устанавливает ордер по ID
	SetOrder(IHotelRoomOrder) error
	// GetHotelRoomBusy -- возвращает состояние бронирования номера
	GetHotelRoomBusy(id alias.BusyId) (IHotelRoomBusy, error)
	// SetHotelRoomBusy -- устанавливает состояние бронирования номера
	SetHotelRoomBusy(IHotelRoomBusy) error
}
